=== debian/changelog ===
libdap (3.9.3-6) unstable; urgency=low

  * Acknowledge NMU with Thanks. Closes: #575894.
  * Supply dap-config in -dev package. Closes: #576809.
  * Standards-Version now 3.8.4. No changes required. 
  * Moved to source format 3.0, removed quilt dependency.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Apr 2010 20:44:03 +0100

libdap (3.9.3-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed debian/copyright: OpenNDAP is LGPL 2.1 not GPL-2 as stated 
    in that file.
    (closes: #575894)
  * Added minimal version to quilt build-dep to make lintian happy.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 03 Apr 2010 23:34:07 +0200

libdap (3.9.3-5) unstable; urgency=low

  * Fix build rule to enable quilt patches. Closes: #547178. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Oct 2009 15:23:33 +0100

libdap (3.9.3-4) unstable; urgency=low

  * libtool now needed in Build-Depends. Closes: #550024.		 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Oct 2009 14:51:29 +0100

libdap (3.9.3-3) unstable; urgency=low

  * Delete out-of-date config.sub, config.guess and autoreconf on build.
    Closes: #548927. 
  * Patch from Martin MichlMayer to fix FTBFS with g++-4.4. Closes: #547178.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Oct 2009 17:09:46 +0100

libdap (3.9.3-2) unstable; urgency=low

  * Confllict: libdap-dev and libdnet-dev, as they have an identical lib.
    Closes: #544388.
  * Added libxml2-dev, libcurl4-gnutls-dev to Depends: libdap-dev, for 
    building static library with libdap.pc
  * Acknowledge OPeNDAP, Inc. in debian/copyright.
  * Add README.source

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Sep 2009 17:27:57 +0100

libdap (3.9.3-1) unstable; urgency=low

  * Initial release. (Closes: #541074).

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Aug 2009 14:09:39 +0100
