=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIGURE_EXTRA_FLAGS := --with-gnu-ld

# The magic debhelper rule:
%:
	dh $@

override_dh_auto_configure:
	# remove out of date files
	rm -f conf/config.guess conf/config.sub
	autoreconf -fi
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build
	$(MAKE) docs

clean:
	dh clean
	rm -rf docs
