## libdap 3.11.1

=== debian/changelog ===
libdap (3.11.1-9) unstable; urgency=low

  * Rewrite dap-config to call pkg-config, to work correctly with 
    Multiarch. Now depend rather than recommend pkg-config.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Sep 2011 05:16:35 +0100

libdap (3.11.1-8) unstable; urgency=low

  * Remove unnecessary ${shlibs:Depends} from -dev package.
  * Add -Wl,--as-needed to remove unneeded dependencies 
  * Multi-Arch enabled. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Sep 2011 18:47:11 +0100

libdap (3.11.1-7) unstable; urgency=low

  * Fix dependencies of libdap-dev. Add Dependency on uuid-dev. Closes: #640260.
  * Fix missing dependency in libdapclient.pc 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Sep 2011 16:40:31 +0100

libdap (3.11.1-6) unstable; urgency=low

  * libdap-dev: Add dependencies on libdapserver, libdapclient.
    Closes: #640226.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Sep 2011 16:02:44 +0100

libdap (3.11.1-5) unstable; urgency=low

  * Really upload to unstable!.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Sep 2011 14:29:33 +0100

libdap (3.11.1-4) experimental; urgency=low

  * Upload to unstable. Closes: #639992. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Sep 2011 13:55:41 +0100

libdap (3.11.1-3) experimental; urgency=low

  * Uploato unstable; for libdapcient10, libdapserver7, change
    Conflicts: to Breaks,add Replaces: libdap10

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Aug 2011 05:58:06 +0100

libdap (3.11.1-2) experimental; urgency=low

  * Incompatible library change libdap.so.10 becomes libdap.so.11.
    As the libraries within it are not changing SONAMES in sync, libdap10
   has been split into libdap11, libdapclient3, libdapserver7. Closes: #638294. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Aug 2011 16:45:44 +0100

libdap (3.11.1-1) unstable; urgency=low

  * New upstream release.
  * SONAME bump as libdap::AISConnect symbol dropped. Closes: #638022.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Aug 2011 23:00:06 +0100

libdap (3.10.2-2) unstable; urgency=low

  * New B-D uuid-dev. Closes: #637760. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 13 Aug 2011 11:26:01 +0100

libdap (3.10.2-1) unstable; urgency=low

  * New upstream release. Closes: #575090.
    Removed patches: gcc44.patch
    Build-Depend on flex, bison now needed.
  * Standards-Version: 3.9.3. No changes required.
  * Remove <curl/types.h> from HTTPConnect.h; deprecated and breaks
    other packages. Closes: #637682.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 13 Aug 2011 20:01:04 +0100
