=== debian/control ===
--- 
+++ 
@@ -3,14 +3,19 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: zlib1g-dev, debhelper (>= 7.0.50~), pkg-config, libxml2-dev, libcurl4-gnutls-dev , dejagnu, doxygen, graphviz, 
- autoconf, automake, libtool
+ autoconf, automake, libtool, flex, bison, uuid-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://www.opendap.org/
 
-Package: libdap10
+Package: libdap11
 Section: libs
+Replaces: libdap10
+Conflicts: libdap10
+Breaks: libdap10
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Open-source Project for a Network Data Access Protocol library
  OPeNDAP provides software that allows you to access data over the internet,
@@ -28,11 +33,47 @@
  OPeNDAP data is stored in binary form, and by default, it is 
  transmitted that way, too. 
 
+Package: libdapclient3
+Section: libs
+Replaces: libdap10
+Breaks: libdap10
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:  libdap11 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Description: Client library for the Network Data Access Protocol
+ OPeNDAP provides software that allows you to access data over the internet,
+ from programs that weren't originally designed for that purpose, as well
+ as some that were. While OPeNDAP is the original developer of the Data Access
+ protocol which its software uses, many other groups have adopted DAP
+ and provide compatible clients, servers and software development kits.
+ .
+ This package provides the client library libdapclient3.
+
+Package: libdapserver7
+Section: libs
+Breaks: libdap10
+Replaces: libdap10
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:  libdap11 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Description: Server library for the Network Data Access Protocol
+ OPeNDAP provides software that allows you to access data over the internet,
+ from programs that weren't originally designed for that purpose, as well
+ as some that were. While OPeNDAP is the original developer of the Data Access
+ protocol which its software uses, many other groups have adopted DAP
+ and provide compatible clients, servers and software development kits.
+ .
+ This package provides the server library libdapclient3.
+
+
 Package: libdap-bin
 Architecture: any
-Depends: libdap10 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: foreign
+Depends: libdapclient3 ( = ${binary:Version} ),  ${misc:Depends}, ${shlibs:Depends}
 Description: Binaries for the  libdap Data Access Protocol library
- 10OPeNDAP provides software that allows you to access data over the internet,
+ OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
  as some that were. While OPeNDAP is the original developer of the Data Access
  protocol which its software uses, many other groups have adopted DAP
@@ -44,8 +85,8 @@
 Section: libdevel
 Architecture: any
 Conflicts: libdnet-dev
-Depends: libdap10 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
-Recommends: pkg-config, libxml2-dev, libcurl4-gnutls-dev
+Multi-Arch: same
+Depends: libdap11 ( = ${binary:Version} ), libdapserver7 (=${binary:Version}), libdapclient3 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev, uuid-dev, pkg-config
 Description: Development files (headers and static libraries) for libdap
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
