=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

# The magic debhelper rule:
%:
	dh $@


override_dh_auto_configure:
	# remove out of date files
	rm -f conf/config.guess conf/config.sub
	# Patch libtool to fix as-needed brokenness. _After_ updating libtool.
	libtoolize -c -f
	autoreconf -fi
	(cd conf && patch < ../debian/as-needed.patch)
	LDFLAGS=" -Wl,--as-needed" dh_auto_configure -- --with-gnu-ld

override_dh_auto_build:
	dh_auto_build
	$(MAKE) docs

override_dh_auto_install:
	dh_auto_install
	# dh_links needed for multi-arch
	dh_link -p libdap11       $(LIBDIR)/libdap.so.11.3.0       $(LIBDIR)/libdap.so.11
	dh_link -p libdapclient3  $(LIBDIR)/libdapclient.so.3.1.0  $(LIBDIR)/libdapclient.so.3
	dh_link -p libdapserver7  $(LIBDIR)/libdapserver.so.7.2.0  $(LIBDIR)/libdapserver.so.7
	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.11.3.0       $(LIBDIR)/libdap.so
	dh_link -p libdap-dev     $(LIBDIR)/libdapclient.so.3.1.0  $(LIBDIR)/libdapclient.so
	dh_link -p libdap-dev     $(LIBDIR)/libdapserver.so.7.2.0  $(LIBDIR)/libdapserver.so
	cp debian/dap-config.pkg  debian/libdap-dev/usr/bin/dap-config

clean:
	dh clean
	rm -rf docs
