## libdap 3.12.0

=== debian/changelog ===
libdap (3.12.0-1) unstable; urgency=low

  * New upstream release.
    - No longer need curl-types-remove.patch 
  * Add debian/watch file.
  * Fix typo in hardening flags; Change  to =all,-pie ; 
    Use DEB_LDFLAGS_MAINT_APPEND. Closes: #697387.
  * Enable parallel build. Closes: #723938.
  * Depend on libcurl4-gnutls-dev | libcurl-dev. Closes: #722701.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Oct 2013 22:12:11 +0100

libdap (3.11.1-15) unstable; urgency=low

  * Avoid exit 1 in conditional in ./rules by adding echo. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Jul 2013 09:24:27 +0100

libdap (3.11.1-14) unstable; urgency=low

  * Make use of libjs-jquery conditional; not always present. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Jul 2013 05:01:07 +0100

libdap (3.11.1-13) unstable; urgency=low

  * Now use debhelper >=9 versioned depends.
  * Now use libjs-jquery rather than embedded copy.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Jul 2013 11:52:44 +0100

libdap (3.11.1-12) unstable; urgency=low

  * libdnet-dev no longer conflicts with libdap-dev. Closes: #694655. 
  * Standards-Version: 3.9.4. No changes required.
  * Enable hardening. Only some false alarms on unprotected fns left.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Dec 2012 09:20:52 +0000

libdap (3.11.1-11) unstable; urgency=low

  * Fix for gcc-4.7, which is stricter on including prototypes.
    Closes: #672008 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 May 2012 17:15:36 +0100

libdap (3.11.1-10) unstable; urgency=low

  * Switch to dh_autoreconf --as-needed for ltmain-as-needed instead of
    patching manually. Thanks to Iain Lane. Closes: #651285.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Dec 2011 12:59:35 +0000
