=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: zlib1g-dev, debhelper (>= 7.0.50~), pkg-config, libxml2-dev, libcurl4-gnutls-dev , dejagnu, doxygen, graphviz, 
- autoconf, automake, libtool, flex, bison, uuid-dev
+Build-Depends: zlib1g-dev, debhelper (>= 9), pkg-config, libxml2-dev, libcurl4-gnutls-dev, dejagnu, doxygen, graphviz, dh-autoreconf (>= 4~),
+ autoconf, automake, libtool, flex, bison, uuid-dev, libjs-jquery
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.opendap.org/
 
 Package: libdap11
@@ -84,9 +84,8 @@
 Package: libdap-dev
 Section: libdevel
 Architecture: any
-Conflicts: libdnet-dev
 Multi-Arch: same
-Depends: libdap11 ( = ${binary:Version} ), libdapserver7 (=${binary:Version}), libdapclient3 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev, uuid-dev, pkg-config
+Depends: libdap11 ( = ${binary:Version} ), libdapserver7 (=${binary:Version}), libdapclient3 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkg-config
 Description: Development files (headers and static libraries) for libdap
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
@@ -100,7 +99,7 @@
 Package: libdap-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-jquery
 Description: Documentation for the libdap Data Access Protocol library
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
