=== debian/watch ===
version=3
http://www.opendap.org/download/libdap \
(?:|.*/)libdap(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
