## libdap 3.14.0

=== debian/changelog ===
libdap (3.14.0-4) unstable; urgency=medium

  * Move to unstable for g++5 transition. Closes: #793251

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Aug 2015 07:56:59 +0100

libdap (3.14.0-3~exp2) experimental; urgency=medium

  * Add cxxtest, cxxtest, libcppunit-dev for unit tests
  * Add XML2_LIBS to unit-tests/Makefile.am to build tests
  * Fix copyrights, move to DEP-5. Closes: #792536.
  * Add Breaks/Replaces for transition. Closes: #79568.
  * Fix links in debian/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Jul 2015 07:42:46 +0100

libdap (3.14.0-3~exp1) experimental; urgency=medium

  * Transition to g++5: Build against g++-5; 
    * libdap17 -> libdap7v5 
    * libdapclient6 -> libdapclient6v5
    * libdapserver7 -> libdapserver7v5
  * Re-enable tests. This is known to break on big-endian archs at the moment
    [Bug forwarded to upstream]
  * Add --enable-runtime-endian-check 
  * Temporarily remove docs build with doxygen as doxygen not in experimental

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Jul 2015 15:38:36 +0100

libdap (3.14.0-2) unstable; urgency=medium

  * Change Vcs-Git URL to anonscm.debian.org form 
  * Temporarily disable tests to allow libdap proceed to testing.
    3.14.0 added a new feature DMR that fails on big-endian platforms
    This is being worked on with upstream, but it is a blocker for netCDF /GCC
    transitions. So the test is being disabled for the moment.
    Closes: #790863.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Jun 2015 11:37:32 +0100

libdap (3.14.0-1) unstable; urgency=medium

  * New upstream release. New SOVERSIONS and package names:
    libdapclient3 -> libdapclient6
    libdap11 -> libdap17
  * Remove obsolete break/conflicts rules
  * Move to Standards-Version: 3.9.6
  * Use 'xz' compression
  * Refreshed patches; re-enabled all tests for the moment
  * Add B-D for libpth-dev, libssl-dev 
  * hack for Makefile/dependency bug needed in debian/rules; try to make
    twice.
  * Add Vcs-Git to debian-science.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jun 2015 14:02:43 +0100
