=== debian/control ===
--- 
+++ 
@@ -2,21 +2,24 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: zlib1g-dev, debhelper (>= 9), pkg-config, libxml2-dev, libcurl4-gnutls-dev, dejagnu, doxygen, graphviz, dh-autoreconf (>= 4~),
- autoconf, automake, libtool, flex, bison, uuid-dev, libjs-jquery
+Build-Depends: zlib1g-dev, debhelper (>= 9), pkg-config, libxml2-dev, 
+ libcurl4-gnutls-dev | libcurl-dev, 
+ libcppunit-dev, cxxtest,
+ dejagnu, graphviz, dh-autoreconf (>= 4~),
+ autoconf, automake, libtool, flex, bison, uuid-dev, libjs-jquery, libpth-dev, libssl-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://www.opendap.org/
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/libdap.git
 
-Package: libdap11
+Package: libdap17v5
 Section: libs
-Replaces: libdap10
-Conflicts: libdap10
-Breaks: libdap10
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libdap17
+Replaces: libdap17
 Description: Open-source Project for a Network Data Access Protocol library
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well 
@@ -33,14 +36,14 @@
  OPeNDAP data is stored in binary form, and by default, it is 
  transmitted that way, too. 
 
-Package: libdapclient3
+Package: libdapclient6v5
 Section: libs
-Replaces: libdap10
-Breaks: libdap10
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends:  libdap11 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Depends:  libdap17v5 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Breaks: libdapclient6
+Replaces: libdapclient6
 Description: Client library for the Network Data Access Protocol
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
@@ -48,16 +51,16 @@
  protocol which its software uses, many other groups have adopted DAP
  and provide compatible clients, servers and software development kits.
  .
- This package provides the client library libdapclient3.
+ This package provides the client library libdapclient6.
 
-Package: libdapserver7
+Package: libdapserver7v5
 Section: libs
-Breaks: libdap10
-Replaces: libdap10
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends:  libdap11 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Depends:  libdap17v5 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Breaks: libdapserver7
+Replaces: libdapserver7
 Description: Server library for the Network Data Access Protocol
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
@@ -65,13 +68,13 @@
  protocol which its software uses, many other groups have adopted DAP
  and provide compatible clients, servers and software development kits.
  .
- This package provides the server library libdapclient3.
+ This package provides the server library libdapserver7
 
 
 Package: libdap-bin
 Architecture: any
 Multi-Arch: foreign
-Depends: libdapclient3 ( = ${binary:Version} ),  ${misc:Depends}, ${shlibs:Depends}
+Depends: libdapclient6v5 ( = ${binary:Version} ),  ${misc:Depends}, ${shlibs:Depends}
 Description: Binaries for the  libdap Data Access Protocol library
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
@@ -85,7 +88,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libdap11 ( = ${binary:Version} ), libdapserver7 (=${binary:Version}), libdapclient3 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkg-config
+Depends: libdap17v5 ( = ${binary:Version} ), libdapserver7v5 (=${binary:Version}), libdapclient6v5 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkg-config
 Description: Development files (headers and static libraries) for libdap
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
