## libdap 3.15.1

=== debian/changelog ===
libdap (3.15.1-8) unstable; urgency=medium

  * Fix for G++ 6 FTBFS. Closes: #831191.
  * Standards-Version: 3.9.8. No changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jul 2016 10:25:23 +0100

libdap (3.15.1-7) unstable; urgency=medium

  * Disable more networ, tests. Closes: #809580.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Feb 2016 16:21:36 +0000

libdap (3.15.1-6) unstable; urgency=medium

  * Disable network tests. Closes: #809580.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Jan 2016 21:55:57 +0000

libdap (3.15.1-5) unstable; urgency=medium

  * Fix FTBFS on arch-independent builds. Closes: #806057

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 25 Nov 2015 08:23:26 +0000

libdap (3.15.1-4) unstable; urgency=medium

  * Also disable D4* unit tests

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 08 Nov 2015 11:49:21 +0000

libdap (3.15.1-3) unstable; urgency=medium

  * Further fix to DMRTESTSUITE Makefile needed

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 07 Nov 2015 22:47:32 +0000

libdap (3.15.1-2) unstable; urgency=medium

  * Disable DMR tests which still break on big-endian hw. (Upstream informed)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Nov 2015 14:05:52 +0000

libdap (3.15.1-1) experimental; urgency=medium

  * New upstream release
    - libdap moves from 17.1.0 -> 17.3.1, 
    - libdapclient : 6.1.0 -> 6.1.1
    - libdapserver: 7.3.0 -> 7.3.1
  * Disable HTTPCacheTest,RCReaderTest as website appears to be down
  * Re-enable docs now that doxygen available.
  * Remove obsolete patches from debian/patches directory.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Oct 2015 03:41:45 +0100
