=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: zlib1g-dev, debhelper (>= 9), pkg-config, libxml2-dev, 
  libcurl4-gnutls-dev | libcurl-dev, 
- libcppunit-dev, cxxtest,
+ libcppunit-dev, cxxtest, doxygen,
  dejagnu, graphviz, dh-autoreconf (>= 4~),
  autoconf, automake, libtool, flex, bison, uuid-dev, libjs-jquery, libpth-dev, libssl-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.opendap.org/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/libdap.git
